Bug 194223 - [revive port] sysutils/boxbackup staging support and compilation correction on FreeBSD 10
Summary: [revive port] sysutils/boxbackup staging support and compilation correction o...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-07 15:59 UTC by Hrant Dadivanyan
Modified: 2015-11-14 02:17 UTC (History)
4 users (show)

See Also:


Attachments
sysutils/boxbackup staging support (1.03 KB, patch)
2014-10-07 15:59 UTC, Hrant Dadivanyan
no flags Details | Diff
NEW (revive) sysutile/boxbackup-devel (shar file attached) (14.51 KB, text/plain)
2014-10-17 20:46 UTC, Chris Hutchinson
no flags Details
requisite QA for the attached shar(1) for sysutils/boxbackup-devel (56.27 KB, text/plain)
2014-10-17 20:48 UTC, Chris Hutchinson
no flags Details
NEW (revive) sysutils/boxbackup-devel (shar file attached) (REVISED) (15.13 KB, text/plain)
2014-10-19 20:50 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hrant Dadivanyan 2014-10-07 15:59:58 UTC
Created attachment 148068 [details]
sysutils/boxbackup staging support

sysutils/boxbackup has been removed due to no staging support. Please review the attached patch and restore the port if patch is correct.
Also, reported on January, ports/185931 solves compilation error on FreeBSD 10. The patch wasn't accepted waiting for upstream solution, but there is no one yet. If restored, could you please apply this patch as well ?
These two completely solves the port issues - I'm actively use it on 8.4 and 10.

Thank you,
Hrant
Comment 1 Bryan Drewery freebsd_committer 2014-10-14 16:07:52 UTC
The port cannot be restored without a maintainer. Are you willing to maintain it?
Comment 2 Hrant Dadivanyan 2014-10-14 16:28:26 UTC
No, unfortunately I'm not familiar with this.
Comment 3 Bryan Drewery freebsd_committer 2014-10-14 16:37:51 UTC
If you use boxbackup then it's simpler than you may think. When new versions are available you just need to update the PORTVERSION, run make makesum, and submit a PR to get the updated port committed. Being a boxbackup user will allow you to work with feedback better, but it's not a requirement to be a user of the port to maintain it.

https://www.freebsd.org/doc/en/books/porters-handbook/ has all of the information you need.

If you ever have questions ports@ or #bsdports on EFNet IRC can help.

Maybe you could give it a try? Given the last release was a few years ago it is likely not going to require much attention. It's just that if I re-add it without a maintainer someone else will come along and remove it again. It's our policy to have someone adopt the port to help the workload.
Comment 4 Hrant Dadivanyan 2014-10-14 16:56:46 UTC
Being maintainer James O'Gorman had contacts with upstream. Let's wait for reply from him, because I can't maintain the port anyway.
Comment 5 James O'Gorman 2014-10-14 20:18:12 UTC
I let my maintainership of this port drop because I'm no longer using it and the upstream maintainer hasn't released a new version with a fix yet. You're welcome to contact him on the mailing list to see if he's made any progress, though.
Comment 6 Chris Hutchinson 2014-10-15 07:50:14 UTC
I'll take it.
I'll produce the shar, and log files in the A.M. (PDT).
This doesn't include the -devel branch, which was also depreciated. :)

--Chris
Comment 7 Chris Hutchinson 2014-10-15 14:00:45 UTC
(In reply to C Hutchinson from comment #6)
> I'll take it.
> I'll produce the shar, and log files in the A.M. (PDT).
> This doesn't include the -devel branch, which was also depreciated. :)
> 
> --Chris

OK closer examination of this port reveals 2 things;

1) the patch provided in this pr(1) won't cut it (incomplete)
2) The source (upstream) is broken (port won't build):

...

autogen_ClientException.cpp:42:14: warning: comparison of unsigned expression < 0 is always false
      [-Wtautological-compare]
        if(mSubType < 0 || mSubType > (sizeof(whats) / sizeof(whats[0])))
           ~~~~~~~~ ^ ~
1 warning generated.
  [CXX]     bbackupd
  [LINK]    bbackupd
../../release/lib/common/common.a(Utils.o): In function `DumpStackBacktrace()':
Utils.cpp:(.text+0x334): undefined reference to `backtrace'
Utils.cpp:(.text+0x349): undefined reference to `backtrace_symbols'
c++: error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1

Stop.
make[2]: stopped in ~/DEV/sysutils/boxbackup/work/boxbackup-0.11.1/bin/bbackupd
*** Error code 1

Stop.
make[1]: stopped in ~/DEV/sysutils/boxbackupwork/boxbackup-0.11.1
*** Error code 1

Stop.
make: stopped in ~/DEV/sysutils/boxbackup

There were numerous other warnings. But in the end, it's FATAL.
I'll see if I can find the time to investigate this further.
But I can't guarantee anything soon.

--Chris
Comment 8 Chris Hutchinson 2014-10-17 20:46:32 UTC
Created attachment 148402 [details]
NEW (revive) sysutile/boxbackup-devel (shar file attached)

OK after the failure of boxbackup to build. I tried the -devel version
to see if it would build, and simply stayed on it, until everything
worked as it should.
Please find attached boxbackup-devel.shar.txt, which contains
everything needed to re-instate this port.

Please also find the requisite QA log attached to the reply
following this reply.

--Chris
Comment 9 Chris Hutchinson 2014-10-17 20:48:55 UTC
Created attachment 148403 [details]
requisite QA for the attached shar(1) for sysutils/boxbackup-devel

Requisite QA to accompany boxbackup-devel.shar.txt
(previously attached).

--Chris
Comment 10 Hrant Dadivanyan 2014-10-19 08:24:50 UTC
Chris, thank you for taking this. You've hardcoded freebsd11.0 in Makefile pre-install, otherwise both client and server are compiled fine on 10.0-RELEASE-p7/amd64 and 9.3-STABLE/i386.

Thank you,
Hrant
Comment 11 Chris Hutchinson 2014-10-19 19:58:17 UTC
(In reply to Hrant Dadivanyan from comment #10)
> Chris, thank you for taking this.

NP, you're very welcome. :)

> You've hardcoded freebsd11.0 in Makefile pre-install,

D'OH! I'm afraid I was in a bit of a hurry to finish up on this.
I'll post a corrected version of the patch (shar) ASAP.

> otherwise both client and server are compiled fine on
> 10.0-RELEASE-p7/amd64 and 9.3-STABLE/i386.
> 
> Thank you,
> Hrant

--Chris
Comment 12 Chris Hutchinson 2014-10-19 20:50:41 UTC
Created attachment 148478 [details]
NEW (revive) sysutils/boxbackup-devel (shar file attached) (REVISED)

Resolves hardcoded uname in Makefile
Adds patch to remove uname being appended to directory name
(files/patch-infrastructure_BoxPlatform.in)

All else remains the same. Including output from
check-plist
make stage-qa
make check-sanity
portlint

eg;

# make -DBATCH check-plist

====> Compressing man pages (compress-man)
===> Staging rc.d startup script(s)
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

--Chris
Comment 13 Kurt Jaeger freebsd_committer 2014-10-23 19:39:59 UTC
I'm looking at this right now (testing etc).
Comment 14 Kurt Jaeger freebsd_committer 2014-12-09 20:56:41 UTC
I got boxbackup-devel to build on 10.1, 9.3 (both amd64) and 8.4 (i386) using
poudriere. boxbackup works on 10.1, still working on 9.x/8.x.
Comment 15 Kurt Jaeger freebsd_committer 2014-12-10 20:37:54 UTC
All versions are good to go now.

I'll commit it in approx. 24 hours.
Comment 16 Chris Hutchinson 2014-12-10 21:26:29 UTC
(In reply to Kurt Jaeger from comment #15)
> All versions are good to go now.
> 
> I'll commit it in approx. 24 hours.

Thanks, Kurt!

--Chris
Comment 17 Kurt Jaeger freebsd_committer 2014-12-11 05:49:41 UTC
poudriere logs see 

http://people.freebsd.org/~pi/logs/sysutils__boxbackup-*
Comment 18 commit-hook freebsd_committer 2014-12-11 05:49:59 UTC
A commit references this bug:

Author: pi
Date: Thu Dec 11 05:49:44 UTC 2014
New revision: 374512
URL: https://svnweb.freebsd.org/changeset/ports/374512

Log:
  Revive ports: sysutils/boxbackup, sysutils/boxbackup-devel

  - revived
  - stage support added
  - compilation issues fixed

  PR:		194223
  Submitted by:	Hrant Dadivanyan <hrant@dadivanyan.net>,
  		Chris Hutchinson <portmaster@bsdforge.com>

Changes:
  head/MOVED
  head/sysutils/Makefile
  head/sysutils/boxbackup/
  head/sysutils/boxbackup/Makefile
  head/sysutils/boxbackup/pkg-plist
  head/sysutils/boxbackup-devel/
  head/sysutils/boxbackup-devel/Makefile
  head/sysutils/boxbackup-devel/files/patch-infrastructure_BoxPlatform.pm.in
  head/sysutils/boxbackup-devel/files/patch-qdbm_Makefile.in
  head/sysutils/boxbackup-devel/files/patch-qdbm_config.status
  head/sysutils/boxbackup-devel/files/patch-qdbm_configure
  head/sysutils/boxbackup-devel/files/patch-qdbm_configure.in
  head/sysutils/boxbackup-devel/pkg-plist
Comment 19 Kurt Jaeger freebsd_committer 2014-12-11 05:50:24 UTC
Committed, thanks!
Comment 20 John Marino freebsd_committer 2015-11-12 23:07:13 UTC
This port is revived unmaintained.  Chris said he would maintain it; was it an omission to leave it with ports@?

I just had to maintain this -- libexecinfo was mishandled and the FreeBSD checks don't seem to be necessary (meaning building with GCC on FreeBSD 9 seems to be unnecessary)
Comment 21 Kurt Jaeger freebsd_committer 2015-11-13 06:16:10 UTC
Yes, that was an omission.
Comment 22 commit-hook freebsd_committer 2015-11-13 18:36:26 UTC
A commit references this bug:

Author: pi
Date: Fri Nov 13 18:35:32 UTC 2015
New revision: 401526
URL: https://svnweb.freebsd.org/changeset/ports/401526

Log:
  sysutils/boxbackup: fix maintainer

  PR:		194223
  Submitted by:	marino

Changes:
  head/sysutils/boxbackup/Makefile
Comment 23 Chris Hutchinson 2015-11-14 02:17:45 UTC
(In reply to John Marino from comment #20)
> This port is revived unmaintained.  Chris said he would maintain it; was it
> an omission to leave it with ports@?
> 
> I just had to maintain this -- libexecinfo was mishandled and the FreeBSD
> checks don't seem to be necessary (meaning building with GCC on FreeBSD 9
> seems to be unnecessary)

Thanks John!